package io.vov.vitamio;

import android.net.Uri;

oneway interface IMediaScannerListener
{
    /**
     * Called when a IMediaScannerService.scanFile() call has completed.
     * @param path the path to the file that has been scanned.
     * @param uri the Uri for the file if the scanning operation succeeded 
     * and the file was added to the media database, or null if scanning failed. 
     */
    void scanCompleted(String path, in Uri uri);
}
